Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 257963 - games-emulation/zsnes-1.51-r2 crashes due to fortify issues when compiled with gcc 4.3.3
Summary: games-emulation/zsnes-1.51-r2 crashes due to fortify issues when compiled wit...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2009-02-06 23:41 UTC by Stefano Carignano
Modified: 2011-09-29 21:31 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Fix from rpmfusion (zsnes-1.51-FORTIFY_SOURCE.patch,3.29 KB, patch)
2009-02-25 17:31 UTC, Peter Alfredsen (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefano Carignano 2009-02-06 23:41:34 UTC
zsnes-1.51-r2 crashes immediately when launched with a libc.so.6 fortify related error message. Source compiled with gcc 4.3.3.
Looking around I found that (Bug#: 257016) app-backup/bacula shows a similar problem, so I tried the proposed workaround:

CFLAGS="-D_FORTIFY_SOURCE=0 ${CFLAGS}" emerge -v1 zsnes

and that does indeed solve the problem.

and indeed it seems to work.



Reproducible: Always

Steps to Reproduce:
1.energe gcc-4.3.3 on ~amd64
2.emerge latest zsnes
3.run zsnes




Portage 2.2_rc23 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r1, 2.6.28-gentoo-r1 x86_64)
=================================================================
System uname: Linux-2.6.28-gentoo-r1-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T8100_@_2.10GHz-with-glibc2.2.5
Timestamp of tree: Fri, 06 Feb 2009 12:15:01 +0000
app-shells/bash:     3.2_p48
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.5.4-r2
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.2
sys-apps/sandbox:    1.3.2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
Comment 1 Rickard Närström 2009-02-21 12:19:16 UTC
Output of zsnes:
----------
ZSNES v1.51, (c) 1997-2007, ZSNES Team
Be sure to check http://www.zsnes.com/ for the latest version.

ZSNES is written by the ZSNES Team (See AUTHORS.TXT)
ZSNES comes with ABSOLUTELY NO WARRANTY.  This is free software,
and you are welcome to redistribute it under certain conditions;
please read 'LICENSE.TXT' thoroughly before doing so.           

Use ZSNES -? for command line definitions.

Starting Mouse detection.
Unable to poll /dev/input/event3. Make sure you have read permissions to it.
Unable to poll /dev/input/event2. Make sure you have read permissions to it.
Unable to poll /dev/input/event1. Make sure you have read permissions to it.
Unable to poll /dev/input/event0. Make sure you have read permissions to it.
ManyMouse: 0 mice detected.                                                 
*** buffer overflow detected ***: zsnes terminated                          
======= Backtrace: =========                                                
/lib32/libc.so.6(__fortify_fail+0x48)[0x45e85398]                           
/lib32/libc.so.6[0x45e833e0]                                                
zsnes[0x8059223]                                                            
zsnes[0x80595fc]                                                            
zsnes[0x80535d7]                                                            
zsnes[0x80678e2]                                                            
/lib32/libc.so.6(__libc_start_main+0xe5)[0x45db5725]                        
zsnes[0x804d971]                                                            
======= Memory map: ========                                                
[ --- Removed ---]
zsh: abort      zsnes
----------

Comment 2 Timothy Redaelli (RETIRED) gentoo-dev 2009-02-25 17:06:01 UTC
Fixed in CVS.
Revbump not needed
Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2009-02-25 17:30:05 UTC
U_FORTIFY_SOURCE added, not a real fix. I'll attach a patch it took me about five seconds to grub for.
Comment 4 Peter Alfredsen (RETIRED) gentoo-dev 2009-02-25 17:31:14 UTC
Created attachment 183156 [details, diff]
Fix from rpmfusion

Allegedly fixes this problem. Please test.
Comment 5 Stefano Carignano 2009-02-26 10:23:11 UTC
Peter's fix works for me, thanks!

Comment 6 Mike Pagano gentoo-dev 2009-07-17 12:43:17 UTC
Reassigning to games@gentoo.org as per metadata.xml.

Note that drizzt has announced his retirement back in April.

This bugis blocking the FORTIFY_SOURCE gcc bug #259417
Comment 7 Mr. Bones. (RETIRED) gentoo-dev 2011-09-29 20:12:06 UTC
in portage.  thanks for the bug report.